---
lang: en
title: 'API docs: authentication-jwt.user'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/extensions/authentication-jwt
permalink: /doc/en/lb4/apidocs.authentication-jwt.user.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication-jwt](./authentication-jwt.md) &gt; [User](./authentication-jwt.user.md)

## User class

<b>Signature:</b>

```typescript
export declare class User extends Entity 
```
<b>Extends:</b> [Entity](./repository.entity.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(data)](./authentication-jwt.user._constructor_.md) |  | Constructs a new instance of the <code>User</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [email](./authentication-jwt.user.email.md) |  | string |  |
|  [emailVerified](./authentication-jwt.user.emailverified.md) |  | boolean |  |
|  [id](./authentication-jwt.user.id.md) |  | string |  |
|  [realm](./authentication-jwt.user.realm.md) |  | string |  |
|  [userCredentials](./authentication-jwt.user.usercredentials.md) |  | [UserCredentials](./authentication-jwt.usercredentials.md) |  |
|  [username](./authentication-jwt.user.username.md) |  | string |  |
|  [verificationToken](./authentication-jwt.user.verificationtoken.md) |  | string |  |


